#property show_inputs
extern double BeginLots = 0.01;
extern double BeginBalance = 2000;
double bd_LOTSTEP;
int    gi_dig;
void start()
{
    double ld_Lots, ld_Percent = 10,
	       curBalance = BeginBalance;
	//for (int li_ORD = 1; li_ORD < 10; li_ORD++)
    bd_LOTSTEP = MarketInfo (Symbol(), MODE_LOTSTEP);
	gi_dig = LotDecimal();
	for (int li_BAL = 0; li_BAL < 20; li_BAL++)
	{
	    //ld_Lots = BeginLots * MathPow (2, li_ORD);
		curBalance = BeginBalance + BeginBalance / 100. * ld_Percent * li_BAL;
        ld_Lots = NormalizeDouble ((curBalance / BeginBalance - 1.), 1) / 10. + BeginLots;
		//Print ("Ord[", li_ORD + 1, "]: Lots = ", ld_Lots);
		Print (li_BAL, "[", curBalance, "]: ", DSDig (ld_Lots));
	}
}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|        Функция, определения минимальной разрядности лота                          |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
int LotDecimal() {return (MathCeil (MathAbs (MathLog (bd_LOTSTEP) / MathLog (10))));}
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
//|  Автор : TarasBY, taras_bulba@tut.by                                              |
//+-----------------------------------------------------------------------------------+
//|        Функция, перевода значения из double в string c нормализацией по           |
//| минимальной разрядности лота                                                      |
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
string DSDig (double v) {return (DoubleToStr (v, gi_dig));} 
//IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIII+
